Subject: Re: [bfcpbis] Old comments on RFC 4582

From: Tom Kristensen <[email-masked]>
Date: Thu, 31 May 2012 08:07:08 +0200

All three comments fixed in upcoming rfc4582bis draft. Will be posted today.

(1) and (2) clarified as suggested by Alfred Hönes below, to achieve a
clearer and consistent usage of ABNF throughout the document.
(3) was a bug and is already fixed in current version. This was
mentioned in the presentation at last IETF in Paris (and verified
later by Gonzalo Camarillo).

-- Tom

On 16/04/2012, Gonzalo Camarillo <[email-masked]> wrote:
> Hi,
>
> below you can find an old thread with comments on RFC 4582 that should
> be fixed in the new revision of the spec.
>
> Cheers,
>
> Gonzalo
>
>
> -------- Original Message --------
> Subject: Re: RFC 4582 additional note
> Date: Tue, 23 Jan 2007 13:55:14 +0200
> From: Gonzalo Camarillo <[email-masked]>
> To: Alfred ? <[email-masked]>
> CC: [email-masked],  [email-masked]
> References: <[email-masked]>
> <[email-masked]>
>
> Hi,
>
> good catch. I will also log this comment.
>
> Thanks,
>
> Gonzalo
>
> Alfred ? wrote:
>> Hello,
>> in my first note on RFC 4582, by accident I have omitted an item
>> initially intended to be included there.
>> Here we go with it:
>>
>>
>> (3)  duplicate text
>>
>> Section 13.1.1 of RFC 4582 contains two instances of the same
>> paragraph: the last paragraph on page 49 -- up to line formatting /
>> hyphenation -- is a replication of the third-to-last paragraph on
>> the same page.
>>
>>
>> Best regards,
>>   Alfred.
>
>
>
>
>
>
>
>
>
> -------- Original Message --------
> Subject: Re: RFC 4582 (BFCP) ABNF issues
> Date: Tue, 23 Jan 2007 13:50:27 +0200
> From: Gonzalo Camarillo <[email-masked]>
> To: Alfred ? <[email-masked]>
> CC: [email-masked],  [email-masked]
> References: <[email-masked]>
>
> Hi Alfred,
>
> regarding 1), I agree with you that it is a formally-allowed slight
> abuse of ABNF. I will log your comments so that, if we need to revise
> the spec at some point, we fix it.
>
> Regarding 2), it is just a variation of [FLOOR-ID]. As you point out in
> 1), we could have used either [xxx] or *1(xxx) throughout the spec. It
> is unfortunate that we have used both in the same spec. However, even if
> this can be confusing, it is still correct. I will also log this comment
> for a potential future revision.
>
> Thanks a lot for your comments.
>
> Best regards,
>
> Gonzalo
>
>
>
> Alfred ? wrote:
>> Hello,
>> after studying the recently published RFC 4582 (BFCP) authored
>> by you, I'd like to report some concerns related to the ABNF
>> found in that memo.
>>
>>
>> (1)  general concern
>>
>> In ABNF, the notation   [ <group> ]   is a shorthand for:
>>                      0*1( <group> )   or shortly:
>>                       *1( <group> )  , i.e. zero or one of <group>.
>>
>> RFC 4582 repeatedly uses the ABNF notation,
>>     "*[ <group> ]" ,
>> literally meaning:
>>     "any number of { zero or one occurrences of <group> }".
>>
>> Although formally allowed by the ABNF RFC 4234, IMHO this is
>> some sort of slight abuse of ABNF;
>> as in other places, RFC 4582 better should have used
>>     "*( <group> )"
>> instead of the above notation (maybe even omitting the
>> parentheses -- but I do not recommend that, for clarity).
>>
>> This issue occurs in Figures 22, 24, 26, 28, 30, and 31..43 .
>>
>>
>> (2)  (potential) specific issue
>>
>> RFC 4582 pervasively uses the "optional" ABNF,  "[<group>]" ,
>> to denote optional syntax elements.  But there is one exception;
>> in Section 5.3.8, on page 33, Figure 38 contains the line:
>>
>>                           *1(FLOOR-ID)
>>
>> It is not evident from the context whether this is just an
>> accidential variation in the use of ABNF, i.e. intended to say:
>>
>>                           [FLOOR-ID]
>>
>> or if in fact it was intended to say:
>>
>>                           1*(FLOOR-ID)
>>
>> If the latter is true, the line in the RFC is in error and
>> I strongly recommend that you submit, as soon as possible,
>> an Author's Errata Note to the RFC Editor's RFC Errata web
>> pages, to correct this issue.
>>
>> Please comment.
>>
>>
>> Best regards,
>>   Alfred H?nes.
>>
>
> _______________________________________________
> bfcpbis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bfcpbis
>

-- 
# Cisco                         |  http://www.cisco.com/telepresence/
## [email-masked]  |  http://www.tandberg.com
###                               |  http://folk.uio.no/tomkri/